%define major 5
%define libname %mklibname openvas %{major}
%define develname %mklibname -d openvas

Name:           openvas-libraries
Version:        5.0.4
Release:        %mkrel 2
License:        LGPLv2+
Group:          System/Libraries
Summary:        Support libraries for Open Vulnerability Assessment (OpenVAS) Server
URL:            http://www.openvas.org
Source:         http://wald.intevation.org/frs/download.php/572/%{name}-%{version}.tar.gz
Patch0:         openvas-libraries-5.0.3-fix-linking.patch
BuildRequires:  libpcap-devel
BuildRequires:  glib2-devel
BuildRequires:	libgcrypt-devel
BuildRequires:  gnutls-devel
BuildRequires:  gpgme-devel
BuildRequires:  libuuid-devel
BuildRequires:	cmake
BuildRequires:	bison

%description
openvas-libraries is the base library for the OpenVAS network security scanner.

%package -n %{libname}
Group:		System/Libraries
Summary:        Support libraries for Open Vulnerability Assessment (OpenVAS) Server

%description -n %{libname}
The support libraries for Open Vulnerability Assessment (OpenVAS) Server.

%package -n %{develname}
Group:		Development/C
Summary:	Development files for openvas-libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	openvas-devel = %{version}-%{release}

%description -n %{develname}
This package contains the development files (mainly C header files) for openvas-libraries.

%prep
%setup -qn openvas-libraries-%{version}
%patch0 -p 1

sed -i -e 's#-Werror##' `grep -rl Werror *|grep CMakeLists.txt`

%build
%cmake
%make

%install
rm -fr %buildroot
%makeinstall_std -C build
find %{buildroot} -name *.la -exec %__rm {} \;
find %{buildroot} -name *.a -exec %__rm {} \;

%files
%{_bindir}/openvas-nasl
%{_mandir}/man1/openvas-nasl.1.*
%{_datadir}/openvas

%files -n %{libname}
%doc ChangeLog CHANGES
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%{_includedir}/openvas
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 5.0.4-2.mga3
+ Revision: 362178
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 guillomovitch <guillomovitch> 5.0.4-1.mga3
+ Revision: 336069
- new version

* Tue Oct 16 2012 guillomovitch <guillomovitch> 5.0.3-1.mga3
+ Revision: 307245
- new version

* Fri Dec 09 2011 guillomovitch <guillomovitch> 4.0.6-2.mga2
+ Revision: 179483
- new version
- new version
- spec cleanup

  + fwang <fwang>
    - rebuild for new gnutls

* Tue Feb 01 2011 dmorgan <dmorgan> 3.1.4-1.mga1
+ Revision: 46042
- imported package openvas-libraries

